<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_121) on Mon Mar 06 16:33:55 AST 2017 -->
<title>SimpleTwoDimDictionary</title>
<meta name="date" content="2017-03-06">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<script type="text/javascript" src="script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="SimpleTwoDimDictionary";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/SimpleTwoDimDictionary.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="RectangleTest.html" title="class in &lt;Unnamed&gt;"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="SimpleTwoDimDictionaryTest.html" title="class in &lt;Unnamed&gt;"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="index.html?SimpleTwoDimDictionary.html" target="_top">Frames</a></li>
<li><a href="SimpleTwoDimDictionary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<h2 title="Class SimpleTwoDimDictionary" class="title">Class SimpleTwoDimDictionary&lt;T&gt;</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>SimpleTwoDimDictionary&lt;T&gt;</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt><span class="paramLabel">Type Parameters:</span></dt>
<dd><code>T</code> - Generic type parameter to represent the nodes of a quad tree</dd>
</dl>
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="TwoDimDictionary.html" title="interface in &lt;Unnamed&gt;">TwoDimDictionary</a>&lt;T&gt;</dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">SimpleTwoDimDictionary&lt;T&gt;</span>
extends java.lang.Object
implements <a href="TwoDimDictionary.html" title="interface in &lt;Unnamed&gt;">TwoDimDictionary</a>&lt;T&gt;</pre>
<div class="block">This class Generates quad tree nodes of a quad tree and also with searching a node contents 
  Noteworthy Features: 
 <ul>
 <li>The rectangular region is recursively sub divided to four quadrants unit it reaches a preset depth
 <li>Points in the region is searched recursively covering all the quadrants bounded by the reference rectangular region
 <li>Dot file is generated for point in any of the location
 <li>Recursive logic is used to generate the Dot File
 </ul></div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Asok Kalidass Kalisamy (B00763356) - Graduate Student</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="Rectangle.html" title="class in &lt;Unnamed&gt;">Rectangle</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="SimpleTwoDimDictionary.html#bounds">bounds</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.util.List&lt;<a href="Rectangle.html" title="class in &lt;Unnamed&gt;">Rectangle</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="SimpleTwoDimDictionary.html#thisNodeContents">thisNodeContents</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="SimpleTwoDimDictionary.html#SimpleTwoDimDictionary--">SimpleTwoDimDictionary</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="SimpleTwoDimDictionary.html#SimpleTwoDimDictionary-Rectangle-">SimpleTwoDimDictionary</a></span>(<a href="Rectangle.html" title="class in &lt;Unnamed&gt;">Rectangle</a>&nbsp;bounds)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="SimpleTwoDimDictionary.html#count-Rectangle-">count</a></span>(<a href="Rectangle.html" title="class in &lt;Unnamed&gt;">Rectangle</a>&nbsp;p)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="SimpleTwoDimDictionary.html#display--">display</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="SimpleTwoDimDictionary.html#insert-Point-">insert</a></span>(<a href="Point.html" title="class in &lt;Unnamed&gt;">Point</a>&nbsp;point)</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="SimpleTwoDimDictionary.html#IsEmpty--">IsEmpty</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>java.util.List&lt;<a href="SimpleTwoDimDictionary.html" title="type parameter in SimpleTwoDimDictionary">T</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="SimpleTwoDimDictionary.html#query-Rectangle-">query</a></span>(<a href="Rectangle.html" title="class in &lt;Unnamed&gt;">Rectangle</a>&nbsp;range)</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="SimpleTwoDimDictionary.html#saveDotFile--">saveDotFile</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="SimpleTwoDimDictionary.html#size--">size</a></span>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="bounds">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>bounds</h4>
<pre>public&nbsp;<a href="Rectangle.html" title="class in &lt;Unnamed&gt;">Rectangle</a> bounds</pre>
</li>
</ul>
<a name="thisNodeContents">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>thisNodeContents</h4>
<pre>public&nbsp;java.util.List&lt;<a href="Rectangle.html" title="class in &lt;Unnamed&gt;">Rectangle</a>&gt; thisNodeContents</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="SimpleTwoDimDictionary--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SimpleTwoDimDictionary</h4>
<pre>public&nbsp;SimpleTwoDimDictionary()</pre>
</li>
</ul>
<a name="SimpleTwoDimDictionary-Rectangle-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>SimpleTwoDimDictionary</h4>
<pre>public&nbsp;SimpleTwoDimDictionary(<a href="Rectangle.html" title="class in &lt;Unnamed&gt;">Rectangle</a>&nbsp;bounds)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="IsEmpty--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>IsEmpty</h4>
<pre>public&nbsp;boolean&nbsp;IsEmpty()</pre>
</li>
</ul>
<a name="query-Rectangle-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>query</h4>
<pre>public&nbsp;java.util.List&lt;<a href="SimpleTwoDimDictionary.html" title="type parameter in SimpleTwoDimDictionary">T</a>&gt;&nbsp;query(<a href="Rectangle.html" title="class in &lt;Unnamed&gt;">Rectangle</a>&nbsp;range)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="TwoDimDictionary.html#query-Rectangle-">query</a></code>&nbsp;in interface&nbsp;<code><a href="TwoDimDictionary.html" title="interface in &lt;Unnamed&gt;">TwoDimDictionary</a>&lt;<a href="SimpleTwoDimDictionary.html" title="type parameter in SimpleTwoDimDictionary">T</a>&gt;</code></dd>
</dl>
</li>
</ul>
<a name="insert-Point-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>insert</h4>
<pre>public&nbsp;void&nbsp;insert(<a href="Point.html" title="class in &lt;Unnamed&gt;">Point</a>&nbsp;point)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="TwoDimDictionary.html#insert-Point-">insert</a></code>&nbsp;in interface&nbsp;<code><a href="TwoDimDictionary.html" title="interface in &lt;Unnamed&gt;">TwoDimDictionary</a>&lt;<a href="SimpleTwoDimDictionary.html" title="type parameter in SimpleTwoDimDictionary">T</a>&gt;</code></dd>
</dl>
</li>
</ul>
<a name="count-Rectangle-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>count</h4>
<pre>public&nbsp;int&nbsp;count(<a href="Rectangle.html" title="class in &lt;Unnamed&gt;">Rectangle</a>&nbsp;p)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="TwoDimDictionary.html#count-Rectangle-">count</a></code>&nbsp;in interface&nbsp;<code><a href="TwoDimDictionary.html" title="interface in &lt;Unnamed&gt;">TwoDimDictionary</a>&lt;<a href="SimpleTwoDimDictionary.html" title="type parameter in SimpleTwoDimDictionary">T</a>&gt;</code></dd>
</dl>
</li>
</ul>
<a name="size--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>size</h4>
<pre>public&nbsp;int&nbsp;size()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="TwoDimDictionary.html#size--">size</a></code>&nbsp;in interface&nbsp;<code><a href="TwoDimDictionary.html" title="interface in &lt;Unnamed&gt;">TwoDimDictionary</a>&lt;<a href="SimpleTwoDimDictionary.html" title="type parameter in SimpleTwoDimDictionary">T</a>&gt;</code></dd>
</dl>
</li>
</ul>
<a name="display--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>display</h4>
<pre>public&nbsp;void&nbsp;display()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="TwoDimDictionary.html#display--">display</a></code>&nbsp;in interface&nbsp;<code><a href="TwoDimDictionary.html" title="interface in &lt;Unnamed&gt;">TwoDimDictionary</a>&lt;<a href="SimpleTwoDimDictionary.html" title="type parameter in SimpleTwoDimDictionary">T</a>&gt;</code></dd>
</dl>
</li>
</ul>
<a name="saveDotFile--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>saveDotFile</h4>
<pre>public&nbsp;void&nbsp;saveDotFile()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="TwoDimDictionary.html#saveDotFile--">saveDotFile</a></code>&nbsp;in interface&nbsp;<code><a href="TwoDimDictionary.html" title="interface in &lt;Unnamed&gt;">TwoDimDictionary</a>&lt;<a href="SimpleTwoDimDictionary.html" title="type parameter in SimpleTwoDimDictionary">T</a>&gt;</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/SimpleTwoDimDictionary.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="RectangleTest.html" title="class in &lt;Unnamed&gt;"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="SimpleTwoDimDictionaryTest.html" title="class in &lt;Unnamed&gt;"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="index.html?SimpleTwoDimDictionary.html" target="_top">Frames</a></li>
<li><a href="SimpleTwoDimDictionary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
